OpenTTD Source: SlVehicleDisaster Class Reference

OpenTTD Source 15.3

Public Member Functions | Static Public Attributes
SlVehicleDisaster Class Reference
Inheritance diagram for SlVehicleDisaster:

## Public Member Functions
void | Save (Vehicle *v) const override
void | Load (Vehicle *v) const override
void | FixPointers (Vehicle *v) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlVehicleDisaster, Vehicle >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
void | Save (void *object) const override
| Save the object to disk.
void | Load (void *object) const override
| Load the object from disk.
virtual void | LoadCheck (Vehicle *object) const
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames.
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers.
Public Member Functions inherited from SaveLoadHandler
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk.

## Static Public Attributes
static const SaveLoad | description []
static const SaveLoadCompatTable | compat_description = _vehicle_disaster_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 1037 of file vehicle_sl.cpp.

## Member Function Documentation

## ◆ FixPointers()

void SlVehicleDisaster::FixPointers | ( | Vehicle * | v | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlVehicleDisaster, Vehicle >.

Definition at line 1088 of file vehicle_sl.cpp.

## ◆ Load()

void SlVehicleDisaster::Load | ( | Vehicle * | v | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlVehicleDisaster, Vehicle >.

Definition at line 1082 of file vehicle_sl.cpp.

## ◆ Save()

void SlVehicleDisaster::Save | ( | Vehicle * | v | ) | const
| inlineoverridevirtual

Reimplemented from DefaultSaveLoadHandler< SlVehicleDisaster, Vehicle >.

Definition at line 1076 of file vehicle_sl.cpp.

## Field Documentation

## ◆ compat_description

const SaveLoadCompatTable SlVehicleDisaster::compat_description = _vehicle_disaster_sl_compat
| inlinestatic

Definition at line 1074 of file vehicle_sl.cpp.

## ◆ description

const SaveLoad SlVehicleDisaster::description[]
| inlinestatic

Definition at line 1039 of file vehicle_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/vehicle_sl.cpp